﻿$ErrorActionPreference = 'Stop';

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://s3.amazonaws.com/aws-cli/AWSCLI32PY3-1.16.139.msi'
$checksum   = 'ea2df06b3e05aa3a6893cf58fe4cdcf75a6ece5decde0476041ddd30c18adce9'
$url64      = 'https://s3.amazonaws.com/aws-cli/AWSCLI64PY3-1.16.139.msi'
$checksum64 = '76a02b24770c0be7fdd0e06ddecf9f906f8f0b9c1ddc16b04d23d12d1ca21205'
 
$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64
  softwareName  = 'AWS Command Line Interface*'
  checksum      = $checksum
  checksumType  = 'sha256'
  checksum64    = $checksum64
  checksumType64= 'sha256'
  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
